Bug 967584 - [RHEVM-RHS] Searching for volume by its type as distributed-replicate or by transport_type doesn't works [NEEDINFO]
[RHEVM-RHS] Searching for volume by its type as distributed-replicate or by t...
Status: NEW
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.4
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ramesh N
SATHEESARAN
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 09:50 EDT by SATHEESARAN
Modified: 2017-07-14 05:47 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
Users cannot use the search bar to search for a Gluster Volume based on the type 'distribute-replicated' or 'transport_type' in the Administration Portal.
Story Points: ---
Clone Of:
Environment:
virt rhev integration
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Gluster
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sabose: needinfo? (rnachimu)


Attachments (Terms of Use)
All available types of volumes (127.34 KB, image/png)
2013-05-27 09:50 EDT, SATHEESARAN
no flags Details
searching for distributed-replicate volume (108.89 KB, image/png)
2013-05-27 09:53 EDT, SATHEESARAN
no flags Details
searching for distribute volume (110.36 KB, image/png)
2013-05-27 09:54 EDT, SATHEESARAN
no flags Details
searching for replicate volume (110.46 KB, image/png)
2013-05-27 09:55 EDT, SATHEESARAN
no flags Details

  None (edit)
Description SATHEESARAN 2013-05-27 09:50:34 EDT
Created attachment 753631 [details]
All available types of volumes

Description of problem:

When searching for a volume, in search tab, using volume type, (i.e) "volume: type =" for a distributed-replicate volume is not working

(i.e) "volumes: type = distributed_replicate" ---> is not working

Version-Release number of selected component (if applicable):
RHEVM : 3.1.4 [3.1.0-53.el6ev]
RHS : RHS 2.0 [ Anshi ] Update 5 [glusterfs-3.3.0.9rhs-1.el6rhs] 

How reproducible:
always


Steps to Reproduce:
1. Create a data center containing gluster-cluster
2. Create a distributed-replicate volume with available bricks.
3. Search for the volume in search tab, using its type as "distributed_replicate", which is filled by autocomplete option in RHEVM UI search tab

Actual results:
Volume of type distributed-replicate is not listed after search

Expected results:
volume of type distributed-replicate should be listed

Additional info:
Attached the scrreenshots to explain it more
Comment 1 SATHEESARAN 2013-05-27 09:53:32 EDT
Created attachment 753634 [details]
searching for distributed-replicate volume
Comment 2 SATHEESARAN 2013-05-27 09:54:15 EDT
Created attachment 753635 [details]
searching for distribute volume
Comment 3 SATHEESARAN 2013-05-27 09:55:00 EDT
Created attachment 753636 [details]
searching for replicate volume
Comment 4 SATHEESARAN 2013-05-27 10:03:41 EDT
I am seeing the same issue with RHEVM 3.2 also.
Comment 5 SATHEESARAN 2013-05-28 08:01:04 EDT
I could also see, searching for volume by transport_type is also not working.

(e.g) volumes: transport_type = tcp   (or)
      volumes: transport_type = rdma

Hence changing the summary of the bug accordingly
Comment 8 Eyal Edri 2015-02-25 03:39:57 EST
3.5.1 is already full with bugs (over 80), and since none of these bugs were added as urgent for 3.5.1 release in the tracker bug, moving to 3.5.2
Comment 9 Sandro Bonazzola 2015-10-26 08:30:59 EDT
this is an automated message. oVirt 3.6.0 RC3 has been released and GA is targeted to next week, Nov 4th 2015.
Please review this bug and if not a blocker, please postpone to a later release.
All bugs not postponed on GA release will be automatically re-targeted to

- 3.6.1 if severity >= high
- 4.0 if severity < high
Comment 10 Yaniv Lavi (Dary) 2015-12-22 11:16:06 EST
3.6.1 is out, moving to 3.6.2.
Comment 12 Yaniv Lavi (Dary) 2016-05-09 06:58:20 EDT
oVirt 4.0 Alpha has been released, moving to oVirt 4.0 Beta target.
Comment 16 Sahina Bose 2016-06-21 07:24:31 EDT
Ramesh, can u take a look?

Note You need to log in before you can comment on or make changes to this bug.